Skip to content
Framework Docs

Get Batch Job Status

BatchGetStatusResponse beta().batch().getStatus(BatchGetStatusParamsparams = BatchGetStatusParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/api/v1/beta/batch-processing/{job_id}

Get detailed status of a batch processing job.

Returns current progress percentage, file counts (total, processed, failed, skipped), and timestamps.

ParametersExpand Collapse
BatchGetStatusParams params
Optional<String> jobId
Optional<String> organizationId
Optional<String> projectId
ReturnsExpand Collapse
class BatchGetStatusResponse:

Detailed status response for a batch processing job.

Job job

Response schema for a batch processing job.

String id

Unique identifier for the batch job

JobType jobType

Type of processing operation (parse or classify)

One of the following:
PARSE("parse")
EXTRACT("extract")
CLASSIFY("classify")
String projectId

Project this job belongs to

Status status

Current job status

One of the following:
PENDING("pending")
RUNNING("running")
DISPATCHED("dispatched")
COMPLETED("completed")
FAILED("failed")
CANCELLED("cancelled")
long totalItems

Total number of items in the job

Optional<LocalDateTime> completedAt

Timestamp when job completed

formatdate-time
Optional<LocalDateTime> createdAt

Creation datetime

formatdate-time
Optional<String> directoryId

Directory being processed

Optional<LocalDateTime> effectiveAt
Optional<String> errorMessage

Error message for the latest job attempt, if any.

Optional<Long> failedItems

Number of items that failed processing

Optional<String> jobRecordId

The job record ID associated with this status, if any.

Optional<Long> processedItems

Number of items processed so far

Optional<Long> skippedItems

Number of items skipped (already processed or size limit)

Optional<LocalDateTime> startedAt

Timestamp when job processing started

formatdate-time
Optional<LocalDateTime> updatedAt

Update datetime

formatdate-time
Optional<String> workflowId

Async job tracking ID

double progressPercentage

Percentage of items processed (0-100)

maximum100
minimum0

Get Batch Job Status

package com.llamacloud_prod.api.example;

import com.llamacloud_prod.api.client.LlamaCloudClient;
import com.llamacloud_prod.api.client.okhttp.LlamaCloudOkHttpClient;
import com.llamacloud_prod.api.models.beta.batch.BatchGetStatusParams;
import com.llamacloud_prod.api.models.beta.batch.BatchGetStatusResponse;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        LlamaCloudClient client = LlamaCloudOkHttpClient.fromEnv();

        BatchGetStatusResponse response = client.beta().batch().getStatus("job_id");
    }
}
{
  "job": {
    "id": "bjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "job_type": "parse",
    "project_id": "proj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "status": "pending",
    "total_items": 0,
    "completed_at": "2019-12-27T18:11:19.117Z",
    "created_at": "2019-12-27T18:11:19.117Z",
    "directory_id": "dir-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "effective_at": "2019-12-27T18:11:19.117Z",
    "error_message": "error_message",
    "failed_items": 0,
    "job_record_id": "job_record_id",
    "processed_items": 0,
    "skipped_items": 0,
    "started_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "workflow_id": "workflow_id"
  },
  "progress_percentage": 0
}
Returns Examples
{
  "job": {
    "id": "bjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "job_type": "parse",
    "project_id": "proj-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "status": "pending",
    "total_items": 0,
    "completed_at": "2019-12-27T18:11:19.117Z",
    "created_at": "2019-12-27T18:11:19.117Z",
    "directory_id": "dir-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
    "effective_at": "2019-12-27T18:11:19.117Z",
    "error_message": "error_message",
    "failed_items": 0,
    "job_record_id": "job_record_id",
    "processed_items": 0,
    "skipped_items": 0,
    "started_at": "2019-12-27T18:11:19.117Z",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "workflow_id": "workflow_id"
  },
  "progress_percentage": 0
}